package com.example.networksample.data.remote.retrofit

import com.example.networksample.data.model.RegistrationRequest
import com.example.networksample.data.model.TokenResponse
import com.example.networksample.data.remote.AuthRemoteSource
import retrofit2.http.Body
import retrofit2.http.POST

interface Auth: AuthRemoteSource {
    @POST("/registration")
    override suspend fun registration(@Body registrationRequest: RegistrationRequest): TokenResponse
}